'*****************************************************************
'*
'*MCMDir:  written by Bruce Atkinson 6/2/2001
'*
'* Modifed:
'* 		8/01/2001 - added display of Armadillo and UserModels
'*      8/16/2001 - added display of SLTFile, Sounds, and Skies
'*
'*****************************************************************

	On Error Resume Next

	Dim MCM1_Path
	Dim MCM2_Path
	Dim MCM2_Profile
	Dim Armadillo_Path
	Dim Msg

	Dim WSHShell
	Dim FSO

	Const ForReading = 1

'Create objects needed for File System and Shell

	Set FSO = CreateObject("Scripting.FileSystemObject")
	Set WSHShell = WScript.CreateObject("WScript.Shell")

'Grab the MCM 1 path from the registry

	MCM1_Path = WSHShell.RegRead("HKLM\Software\Microsoft\Microsoft Games\Motocross Madness\1.0\HardDriveRootPath")

	If MCM1_Path = "" then
	    Msg = "You do not have MCM 1 installed" & vbCRLF
	    MCM1_Profile = "??????"
	Else
	    Msg = "You have MCM 1 installed in " & MCM1_Path & vbCRLF
	    MCM1_Profile = GetMCM1Profile(MCM1_Path) 'Get the MCM1 profile by reading the uilist.ini
	    Msg = Msg & "and your most recently used profile is " & MCM1_Profile & vbCRLF
	End If
	
	Msg = Msg & vbCRLF
		
'Grab MCM 2 info from the registry

	MCM2_Path = WSHShell.RegRead("HKLM\Software\Microsoft\Microsoft Games\Motocross Madness 2\HardDriveRootPath")
	Armadillo_Path = WSHShell.RegRead("HKLM\Software\Microsoft\Microsoft Games\Motocross Madness 2 TrackEditor\1.0\HardDriveRootPath")
	MCM2_Profile = WSHShell.RegRead("HKLM\Software\Microsoft\Microsoft Games\Motocross Madness 2\MRUProfile")
    MCM2_Type = WSHShell.RegRead("HKLM\Software\Microsoft\Microsoft Games\Motocross Madness 2\InstallType")
'Setup MSG to contain the information we want to display

	If MCM2_Path = "" then
	    Msg = Msg & "You do not have MCM 2 installed" & vbCRLF
	Else
	    Msg = Msg & "You have MCM 2 installed in " & MCM2_Path & vbCRLF
	    Msg = Msg & "the install type is " & MCM2_Type & vbCRLF
	    Msg = Msg & "and your most recently used profile is " & MCM2_Profile
	End If
	
	If Armadillo_Path = "" Then
	    Msg = Msg & vbCRLF & vbCRLF & "You do not have Armadillo installed"
	Else
	    Msg = Msg & vbCRLF & VBCRLF & "You have Armadillo installed in " & Armadillo_Path & vbCRLF & vbCRLF
	
	    If FSO.FolderExists(Armadillo_Path & "\UserModels") Then
	    	Msg = Msg & "    UserModels folder: " & chr(9) & Armadillo_Path & "\UserModels" &vbCRLF &vbCRLF
		    If FSO.FolderExists(Armadillo_Path & "\UserModels\SLTFiles") Then
		    	Msg = Msg & "        SLTFiles folder: " & chr(9) & Armadillo_Path & "\UserModels\SLTFiles" &vbCRLF
		    Else
		    	Msg = Msg & "        SLTFiles folder: " & chr(9) & "not found" &vbCRLF
		    End If
	
		    If FSO.FolderExists(Armadillo_Path & "\UserModels\Skies") Then
		    	Msg = Msg & "        Skies folder: " & chr(9) & chr(9) & Armadillo_Path & "\UserModels\Skies" &vbCRLF
		    Else
		    	Msg = Msg & "        Skies folder: " & chr(9) & chr(9) & "not found" &vbCRLF
		    End If
	    Else
	    	Msg = Msg & "    UserModels folder: " & chr(9) & "not found" &vbCRLF
	    End If
	
	End If
	
'Display the results 

	WSHShell.Popup Msg,,"MCM Directories"
	
' We need to read the MCM 1 profile as a text file because there is no built in support for INI files.
' There are objects available that can be installed to add this functionality.  INI's are obsolete
' in Microsoft's eyes so they chose not to support it natively in VBScript.

Function GetMCM1Profile(MCM1_Path)

	On Error Resume Next

	Dim  MCMProfile, strBuff, lngLocation
  
	Set MCMProfile = fso.OpenTextFile(MCM1_Path & "\ui\uilst.ini", ForReading)
  
	GetMCM1Profile = ""
  
	Do While not MCMProfile.AtEndOfStream
		strBuff = MCMProfile.ReadLine
		lngLocation = InStr(strBuff,"UserProfileName=")
	    If lngLocation > 0 Then
	        GetMCM1Profile = Right(strBuff, Len(strBuff) - len("UserProfileName="))
	    End If
	Loop
  
	MCMProfile.Close
    
End Function

